import {
  uniEdit,
  uniEye,
  uniFileDownload,
  uniSearchPlus,
  uniSearchMinus,
  uniDesktop,
  uniAngleLeft,
  uniAngleRight,
  uniAngleDown,
  uniBookOpen,
  uniUser,
  uniSearch,
  uniPlusCircle,
  uniImageSlash,
  uniCloudUpload,
  uniHistory,
  uniImage,
  uniExport,
  uniMinus,
  uniTrashAlt,
  uniAngleDoubleLeft,
  uniAngleDoubleRight,
  uniSortAmountDown,
  uniSortAmountUp,
  uniPlus,
  uniFilter,
  uniVolume,
  uniCreateDashboard,
  uniCheck,
  uniTimes,
  uniFileAlt,
  uniMusic,
  uniText,
  uniSignout,
  uniApps,
  uniListUl,
  uniExclamationTriangle,
  uniCheckCircle,
  uniEllipsisV,
  uniSave,
  uniRedo,
} from "vue-unicons/dist/icons";

export const Unicons: Record<string, { name: string }> = {
  Edit: uniEdit,
  Eye: uniEye,
  Download: uniFileDownload,
  SearchPlus: uniSearchPlus,
  SearchMinus: uniSearchMinus,
  Desktop: uniDesktop,
  AngleLeft: uniAngleLeft,
  AngleRight: uniAngleRight,
  AngleDoubleLeft: uniAngleDoubleLeft,
  AngleDoubleRight: uniAngleDoubleRight,
  AngleDown: uniAngleDown,
  BookOpen: uniBookOpen,
  User: uniUser,
  SearchGlass: uniSearch,
  PlusCircle: uniPlusCircle,
  NoImage: uniImageSlash,
  Upload: uniCloudUpload,
  History: uniHistory,
  Image: uniImage,
  Export: uniExport,
  Minus: uniMinus,
  Plus: uniPlus,
  Trash: uniTrashAlt,
  SortUp: uniSortAmountUp,
  SortDown: uniSortAmountDown,
  Filter: uniFilter,
  AudioThumbnail: uniVolume,
  Create: uniCreateDashboard,
  Check: uniCheck,
  Cross: uniTimes,
  FileAlt: uniFileAlt,
  Music: uniMusic,
  Text: uniText,
  SignOut: uniSignout,
  Apps: uniApps,
  ListUl: uniListUl,
  ExclamationTriangle: uniExclamationTriangle,
  CheckCircle: uniCheckCircle,
  EllipsisV: uniEllipsisV,
  Save: uniSave,
  Redo: uniRedo,
};
